package com.ycwl.basic.model.pc.renderWorker.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ycwl.basic.storage.enums.StorageType;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 17:24
 * 渲染机管理表
 */
@Data
@TableName("render_worker")
public class RenderWorkerEntity {
    @TableId
    private Long id;
    /**
     * 渲染机名称
     */
    private String name;
    /**
     * 系统
     */
    private String platform;
    /**
     * 运行环境
     */
    private String runtimeVersion;
    /**
     * 版本
     */
    private String version;
    /**
     * 访问秘钥
     */
    private String accessKey;
    /**
     * cpu数量
     */
    private Integer cpuCount;
    /**
     * cpu使用率
     */
    private BigDecimal cpuUsage;
    /**
     * 内存总量，MB
     */
    private BigDecimal memoryTotal;
    /**
     * 内存余量，MB
     */
    private BigDecimal memoryAvailable;
    /**
     * 支持的功能，逗号隔开
     */
    private String supportFeature;
    /**
     * 是否仅用于指定景区，空或0不适用，否则为景区ID
     */
    private String scenicOnly;
    /**
     * 是否仅用于测试，0不是，1是
     */
    private Integer testOnly;
    /**
     * 是否在线，0不在，1在
     */
    private Integer online;
    /**
     * 状态，0禁用，1启用
     */
    private Integer status;
    private Date createAt;
    private Date updateAt;


    /**
     * 存储类型
     */
    private StorageType storeType;
    /**
     * 存储配置
     */
    private String storeConfigJson;
}
